<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddMoreAdvsToHomeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('home', function (Blueprint $table) {
            $table->string('banner_underb')->nullable();
            $table->string('banner_underb_url')->nullable();
            $table->string('banner_underb_2')->nullable();
            $table->string('banner_underb_2_url')->nullable();
            $table->string('banner_underb_3')->nullable();
            $table->string('banner_underb_3_url')->nullable();
            $table->string('banner_underb_google')->nullable();
            $table->string('banner_top_2')->nullable();
            $table->string('banner_top_2_url')->nullable();
            $table->string('banner_middle_2')->nullable();
            $table->string('banner_middle_2_url')->nullable();
            $table->string('banner_first_2')->nullable();
            $table->string('banner_first_2_url')->nullable();
            $table->string('banner_top_3')->nullable();
            $table->string('banner_top_3_url')->nullable();
            $table->string('banner_middle_3')->nullable();
            $table->string('banner_middle_3_url')->nullable();
            $table->string('banner_first_3')->nullable();
            $table->string('banner_first_3_url')->nullable();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('home', function (Blueprint $table) {
            $table->dropColumn('banner_underb');
            $table->dropColumn('banner_underb_url');
            $table->dropColumn('banner_underb_2');
            $table->dropColumn('banner_underb_2_url');
            $table->dropColumn('banner_underb_3');
            $table->dropColumn('banner_underb_3_url');
            $table->dropColumn('banner_underb_google');
            $table->dropColumn('banner_top_2');
            $table->dropColumn('banner_top_2_url');
            $table->dropColumn('banner_middle_2');
            $table->dropColumn('banner_middle_2_url');
            $table->dropColumn('banner_first_2');
            $table->dropColumn('banner_first_2_url');
            $table->dropColumn('banner_top_3');
            $table->dropColumn('banner_top_3_url');
            $table->dropColumn('banner_middle_3');
            $table->dropColumn('banner_middle_3_url');
            $table->dropColumn('banner_first_3');
            $table->dropColumn('banner_first_3_url');
        });
    }
}
